GET Competitive Updates
https://pd.{shard}.a.pvp.net/mmr/v1/players/{puuid}/competitiveupdates?startIndex={startIndex}&endIndex={endIndex}&queue={queue} Get recent games and how they changed ranking
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{puuid}A player's UUID
Query Parameters
-
startIndexoptionalThe index of the first match to return. Defaults to 0
-
endIndexoptionalThe index of the last match to return. Defaults to 10
-
queueoptionalThe queue to filter by. Defaults to all queues
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type CompetitiveUpdatesResponse = {
Version: number;
/** Player UUID */
Subject: string;
Matches: {
/** Match ID */
MatchID: string;
/** Map ID */
MapID: string;
/** Season ID */
SeasonID: string;
/** Milliseconds since epoch */
MatchStartTime: number;
TierAfterUpdate: number;
TierBeforeUpdate: number;
RankedRatingAfterUpdate: number;
RankedRatingBeforeUpdate: number;
RankedRatingEarned: number;
RankedRatingPerformanceBonus: number;
CompetitiveMovement: "MOVEMENT_UNKNOWN";
AFKPenalty: number;
}[];
}; {
"Version": 3362863897668661,
"Subject": "C548EBeB-2DfD-0bC2-58c2-4BA98FFdB0F0",
"Matches": [
{
"MatchID": "dbA6ba9B-5ECE-Cc1f-CCF2-ef5AD266Faab",
"MapID": "aureus",
"SeasonID": "3Aaf3E4a-EDA4-b8FF-FbBC-f6a6EF8ECbfe",
"MatchStartTime": "+125945-06-13T03:12:20.406Z",
"TierAfterUpdate": 3941699454011253,
"TierBeforeUpdate": 7558140806362286,
"RankedRatingAfterUpdate": 3561372792087383,
"RankedRatingBeforeUpdate": 7537892999227415,
"RankedRatingEarned": 3470407597972161,
"RankedRatingPerformanceBonus": 2667367144371717,
"CompetitiveMovement": "MOVEMENT_UNKNOWN",
"AFKPenalty": 2818758887901674
},
{
"MatchID": "6D883D2b-D6F6-f805-c1DD-CB41edB38c5c",
"MapID": "vilicus",
"SeasonID": "eae9CD2b-b799-6533-Ef6c-F0DccAf7398e",
"MatchStartTime": "+163023-05-17T16:59:51.560Z",
"TierAfterUpdate": 297648992822347,
"TierBeforeUpdate": 8085313242873961,
"RankedRatingAfterUpdate": 2627755584565468,
"RankedRatingBeforeUpdate": 1469495937579446,
"RankedRatingEarned": 5356240913446879,
"RankedRatingPerformanceBonus": 5445364367451040,
"CompetitiveMovement": "MOVEMENT_UNKNOWN",
"AFKPenalty": 2866473733297242
},
{
"MatchID": "BEFc9915-0E5E-Fa17-a46D-4B1dBcCCffFE",
"MapID": "curia",
"SeasonID": "7b77A93e-BDaE-ED13-faB4-CfF8921Db375",
"MatchStartTime": "+211924-01-01T13:37:46.572Z",
"TierAfterUpdate": 6842222266563214,
"TierBeforeUpdate": 7899174787236260,
"RankedRatingAfterUpdate": 4253782350518783,
"RankedRatingBeforeUpdate": 1701883103321145,
"RankedRatingEarned": 3104490130780551,
"RankedRatingPerformanceBonus": 2553527064005043,
"CompetitiveMovement": "MOVEMENT_UNKNOWN",
"AFKPenalty": 4664647527342877
},
{
"MatchID": "cbdb2264-01b7-ecfB-F931-dF51c7323aBE",
"MapID": "utique",
"SeasonID": "5e00E9b0-9E4C-586A-172F-7E42cFF0C94d",
"MatchStartTime": "+069499-07-09T22:57:55.039Z",
"TierAfterUpdate": 7575499123487498,
"TierBeforeUpdate": 6065263836894073,
"RankedRatingAfterUpdate": 35235639672155,
"RankedRatingBeforeUpdate": 5704955688766749,
"RankedRatingEarned": 5861060275296928,
"RankedRatingPerformanceBonus": 6752937262384106,
"CompetitiveMovement": "MOVEMENT_UNKNOWN",
"AFKPenalty": 1840315480427665
}
]
}